%define anolis_release 1
Name:           python-configobj
Version:        5.0.6
Release:        %{anolis_release}%{?dist}
Summary:        Config file reading, writing, and validation
License:        BSD
URL:            http://configobj.readthedocs.org/
# Moved to the github release instead of the pypi one since multiple elements (License and tests)
# are not available using pypi. Two bugs have been filled about this:
# https://github.com/DiffSK/configobj/issues/98
# https://github.com/DiffSK/configobj/issues/99
# Source0:        https://pypi.python.org/packages/source/c/configobj/configobj-5.0.6.tar.gz
Source0:        https://github.com/DiffSK/configobj/archive/v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-pytest
%global _description \
ConfigObj is a simple but powerful configuration file reader and writer: an ini\
file round tripper. Its main feature is that it is very easy to use, with a\
straightforward programmers interface and a simple syntax for config files. 
%description %_description

%package     -n python%{python3_pkgversion}-configobj
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-configobj}
Requires:       python%{python3_pkgversion}-six
%description -n python%{python3_pkgversion}-configobj %_description

%prep
%autosetup -n configobj-%{version}

%build
%py3_build

%install
%py3_install

%check
# this needs to be set for tests.test_configobj.test_options_deprecation
export PYTHONWARNINGS=always
%{__python3} test_configobj.py
py.test-%{python3_version} tests

%files -n python%{python3_pkgversion}-configobj
%doc README.md
%license LICENSE
%{python3_sitelib}/_version.py
%{python3_sitelib}/configobj.py
%{python3_sitelib}/validate.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/configobj-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Mar  10 2022 zl01087097 <zl01087097@alibaba-inc.com> - 5.0.6-1
- upstream version 5.0.6
